Menu

## DatabaseInitCommand extends BaseCommand
in package

DatabaseInitCommand.php : 14

Danerys command to initiate the database with default values.

### Table of Contents

$game : Game
$namespace : string|null
__construct() : mixed
  Construct the command, using the provided Game.
getCliLogger() : Logger
  Returns a cloned logger with a different context name.
configure() : mixed
execute() : int
namespaced() : string

### Properties

#### $game

BaseCommand.php : 15
`protected Game $game`

#### $namespace

BaseCommand.php : 16
`protected string|null $namespace = null`

### Methods

#### __construct()

BaseCommand.php : 22

Construct the command, using the provided Game.

`public __construct(Game $game) : mixed`

##### Parameters

$game : Game

##### Return values

mixed —

#### getCliLogger()

BaseCommand.php : 32

Returns a cloned logger with a different context name.

`public getCliLogger() : Logger`

##### Return values

Logger —

#### configure()

DatabaseInitCommand.php : 19
`protected configure() : mixed`

##### Tags

inheritDoc

##### Return values

mixed —

#### execute()

DatabaseInitCommand.php : 29
`protected execute(InputInterface $input, OutputInterface $output) : int`

##### Parameters

$input : InputInterface
$output : OutputInterface

##### Tags

inheritDoc

##### Return values

int —

#### namespaced()

BaseCommand.php : 37
`protected namespaced(string $command) : string`

##### Parameters

$command : string

##### Return values

string —

## Search results